Package org.eclipse.emf.cdo.ui.compare

## Class CDOCompareEditorUtil.InputHolder

- java.lang.Object
- - org.eclipse.emf.cdo.ui.compare.CDOCompareEditorUtil.InputHolder

- All Implemented Interfaces:
    `java.util.function.Consumer<CDOCompareEditorUtil.Input>`
  Enclosing class:
    CDOCompareEditorUtil

      public static class CDOCompareEditorUtil.InputHolder
      extends java.lang.Object
      implements java.util.function.Consumer<CDOCompareEditorUtil.Input>

  Since:
    4.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InputHolder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accept​(CDOCompareEditorUtil.Input input)` |
    `CDOCompareEditorUtil.Input` | `getInput()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Consumer

      `andThen`

- - ### Constructor Detail

    - #### InputHolder

          public InputHolder()

  - ### Method Detail

    - #### getInput

          public CDOCompareEditorUtil.Input getInput()

    - #### accept

          public void accept​(CDOCompareEditorUtil.Input input)

      Specified by:
        `accept` in interface `java.util.function.Consumer<CDOCompareEditorUtil.Input>`